# WritableColor (LWJGL API)
Date: 2015-07-28

## org.lwjgl.util
Interface WritableColor

All Known Implementing Classes:
  Color

    public interface WritableColor

Write interface for Colors

Version:
  $Revision$ $Id$
Author:
  $Author$

Method Summary
`void` `readABGR(java.nio.ByteBuffer src)` Read a color from a byte buffer
`void` `readARGB(java.nio.ByteBuffer src)` Read a color from a byte buffer
`void` `readBGR(java.nio.ByteBuffer src)` Read a color from a byte buffer
`void` `readBGRA(java.nio.ByteBuffer src)` Read a color from a byte buffer
`void` `readRGB(java.nio.ByteBuffer src)` Read a color from a byte buffer
`void` `readRGBA(java.nio.ByteBuffer src)` Read a color from a byte buffer
`void` `set(byte r, byte g, byte b)` Set a color
`void` `set(byte r, byte g, byte b, byte a)` Set a color
`void` `set(int r, int g, int b)` Set a color
`void` `set(int r, int g, int b, int a)` Set a color
`void` `setAlpha(byte alpha)` Set the Alpha component
`void` `setAlpha(int alpha)` Set the Alpha component
`void` `setBlue(byte blue)` Set the Blue component
`void` `setBlue(int blue)` Set the Blue component
`void` `setColor(ReadableColor src)` Set this color's color by copying another color
`void` `setGreen(byte green)` Set the Green component
`void` `setGreen(int green)` Set the Green component
`void` `setRed(byte red)` Set the Red component
`void` `setRed(int red)` Set the Red component

Method Detail

### set

    void set(int r,
             int g,
             int b,
             int a)

  Set a color

### set

    void set(byte r,
             byte g,
             byte b,
             byte a)

  Set a color

### set

    void set(int r,
             int g,
             int b)

  Set a color

### set

    void set(byte r,
             byte g,
             byte b)

  Set a color

### setRed

    void setRed(int red)

  Set the Red component

### setGreen

    void setGreen(int green)

  Set the Green component

### setBlue

    void setBlue(int blue)

  Set the Blue component

### setAlpha

    void setAlpha(int alpha)

  Set the Alpha component

### setRed

    void setRed(byte red)

  Set the Red component

### setGreen

    void setGreen(byte green)

  Set the Green component

### setBlue

    void setBlue(byte blue)

  Set the Blue component

### setAlpha

    void setAlpha(byte alpha)

  Set the Alpha component

### readRGBA

    void readRGBA(java.nio.ByteBuffer src)

  Read a color from a byte buffer

  Parameters:
    `src` - The source buffer

### readRGB

    void readRGB(java.nio.ByteBuffer src)

  Read a color from a byte buffer

  Parameters:
    `src` - The source buffer

### readARGB

    void readARGB(java.nio.ByteBuffer src)

  Read a color from a byte buffer

  Parameters:
    `src` - The source buffer

### readBGRA

    void readBGRA(java.nio.ByteBuffer src)

  Read a color from a byte buffer

  Parameters:
    `src` - The source buffer

### readBGR

    void readBGR(java.nio.ByteBuffer src)

  Read a color from a byte buffer

  Parameters:
    `src` - The source buffer

### readABGR

    void readABGR(java.nio.ByteBuffer src)

  Read a color from a byte buffer

  Parameters:
    `src` - The source buffer

### setColor

    void setColor(ReadableColor src)

  Set this color's color by copying another color

  Parameters:
    `src` - The source color

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.